org.apache.commons.io.function

## Class IOBaseStreamAdapter<T,S extends IOBaseStream<T,S,B>,B extends java.util.stream.BaseStream<T,B>>

- java.lang.Object
- - org.apache.commons.io.function.IOBaseStreamAdapter<T,S,B>

- Type Parameters:
    `T` - the type of the stream elements.
    `S` - the type of the stream extending `IOBaseStream`.
    `B` - the type of the base stream.
  All Implemented Interfaces:
    Closeable, AutoCloseable, IOBaseStream<T,S,B>
  Direct Known Subclasses:
    IOStreamAdapter

      abstract class IOBaseStreamAdapter<T,S extends IOBaseStream<T,S,B>,B extends java.util.stream.BaseStream<T,B>>
      extends Object
      implements IOBaseStream<T,S,B>

  Abstracts an `IOBaseStream` implementation. Keep package-private for now.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IOBaseStreamAdapter(B delegate)` Constructs an instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `B` | `unwrap()` Unwraps this instance and returns the underlying `Stream`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.commons.io.function.IOBaseStream

      `asBaseStream, close, isParallel, iterator, onClose, parallel, sequential, spliterator, unordered, wrap`

- - ### Constructor Detail

    - #### IOBaseStreamAdapter

          IOBaseStreamAdapter(B delegate)

      Constructs an instance.
      Parameters:
        `delegate` - the delegate.

  - ### Method Detail

    - #### unwrap

          public B unwrap()

      Description copied from interface: `IOBaseStream`
      Unwraps this instance and returns the underlying `Stream`.

      Implementations may not have anything to unwrap and that behavior is undefined for now.

      Specified by:
        `unwrap` in interface `IOBaseStream<T,S extends IOBaseStream<T,S,B>,B extends java.util.stream.BaseStream<T,B>>`
      Returns:
        the underlying stream.